apiVersion: kops.k8s.io/v1alpha2
kind: InstanceGroup
metadata:
  labels:
    kops.k8s.io/cluster: k8s-prod.datasaker.io
  name: k8s-prod-data-kafka-a
spec:
  image: ami-0409b7ddbc59e3222
  kubelet:
    anonymousAuth: false
    nodeLabels:
      node-role.kubernetes.io/node: ""
  machineType: m5a.xlarge
  manager: CloudGroup
  maxSize: 1
  minSize: 1
  nodeLabels:
    kops.k8s.io/instancegroup: k8s-prod-data-kafka-a
    datasaker/group: data-kafka
  role: Node
  subnets:
  - ap-northeast-2a
  taints:
  - prod/data-kafka:NoSchedule
---
apiVersion: kops.k8s.io/v1alpha2
kind: InstanceGroup
metadata:
  labels:
    kops.k8s.io/cluster: k8s-prod.datasaker.io
  name: k8s-prod-data-kafka-b
spec:
  image: ami-0409b7ddbc59e3222
  kubelet:
    anonymousAuth: false
    nodeLabels:
      node-role.kubernetes.io/node: ""
  machineType: m6i.xlarge
  manager: CloudGroup
  maxSize: 1
  minSize: 1
  nodeLabels:
    kops.k8s.io/instancegroup: k8s-prod-data-kafka-b
    datasaker/group: data-kafka
  role: Node
  subnets:
  - ap-northeast-2b
  taints:
  - prod/data-kafka:NoSchedule
---
apiVersion: kops.k8s.io/v1alpha2
kind: InstanceGroup
metadata:
  labels:
    kops.k8s.io/cluster: k8s-prod.datasaker.io
  name: k8s-prod-data-kafka-c
spec:
  image: ami-0409b7ddbc59e3222
  kubelet:
    anonymousAuth: false
    nodeLabels:
      node-role.kubernetes.io/node: ""
  machineType: m5a.xlarge
  manager: CloudGroup
  maxSize: 1
  minSize: 1
  nodeLabels:
    kops.k8s.io/instancegroup: k8s-prod-data-kafka-c
    datasaker/group: data-kafka
  role: Node
  subnets:
  - ap-northeast-2c
  taints:
  - prod/data-kafka:NoSchedule
